Package org.eclipse.cdt.core.dom.rewrite

# Interface MacroExpansionExplorer.IMacroExpansionStep

Enclosing class:
  MacroExpansionExplorer

public static interface MacroExpansionExplorer.IMacroExpansionStep
Representation of a single expansion step or a complete expansion.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCodeAfterStep()`
Returns the code after this step.
`String`
`getCodeBeforeStep()`
Returns the code before this step.
`IMacroBinding`
`getExpandedMacro()`
Returns the macro that gets expanded in this step, or `null` for a step representing a full expansion.
`IASTFileLocation`
`getLocationOfExpandedMacroDefinition()`
Returns the location of the macro-definition that gets expanded in this step, or `null` for built-in macros or for a step representing a full expansion.
`org.eclipse.text.edits.ReplaceEdit[]`
`getReplacements()`
Returns an array of replacements representing the change from the code before this step to the code after this step.

## Method Details

### getCodeBeforeStep

String getCodeBeforeStep()
Returns the code before this step.

### getCodeAfterStep

String getCodeAfterStep()
Returns the code after this step.

### getReplacements

org.eclipse.text.edits.ReplaceEdit[] getReplacements()
Returns an array of replacements representing the change from the code before this step to the code after this step.

### getExpandedMacro

IMacroBinding getExpandedMacro()
Returns the macro that gets expanded in this step, or `null` for a step representing a full expansion.

### getLocationOfExpandedMacroDefinition

IASTFileLocation getLocationOfExpandedMacroDefinition()
Returns the location of the macro-definition that gets expanded in this step, or `null` for built-in macros or for a step representing a full expansion.